Subject: Re: [PATCH] annotate: Support annotation of files on other revisions.

From: Ryan Anderson <[email-masked]>
Date: Mon, 06 Mar 2006 00:40:55 -0500

A Large Angry SCM wrote:

> Ryan Anderson wrote:
> ...
>
>>
>> For annotate, the syntax I was using was:
>>     git annotate Makefile headname
>>
>> I'm not married to it, so please, send a patch to change it if you want
>> (Please fix up the test case I'm sending in this patch, as well.)
>>
>
> Wouldn't
>     git annotate <headname> <filename(s?)>
> be more consistent with other git commands?
>
Yes, but <headname> (really, a commitish) needs to be optional.

I should probably switch to:
    git annotate [-c|--commit <committish>] <filename>
but that's partly why I'm asking for feedback.

-- 

Ryan Anderson
  sometimes Pug Majere